import Gologin from "./GoLogin.vue";
const obj = {}; //对象
obj.install = function(Vue) {
  //封装install方法
  // 1. 创建组件构造器
  const toastContrustor = Vue.extend(Gologin);

  // 2. new  组件实例
  const GoLogin = new toastContrustor();

  // 3. 将组件实例， 挂载到某一个元素上
  GoLogin.$mount(document.createElement("div"));

  // 4. GoLogin.$el 对应的就是div
  document.body.appendChild(GoLogin.$el);

  // 5. 添加到原型链上
  Vue.prototype.$GoLogin = GoLogin;
};

export default obj;
